### Method

# AppStream Component add_provided_item

#### Declaration [src]

    void
    as_component_add_provided_item (
      AsComponent* cpt,
      AsProvidedKind kind,
      const gchar* item
    )

#### Description [src]

Adds a provided item to the component with the given `kind`, creating a new `AsProvided` for this kind internally if necessary.

#### Parameters

`kind`

  Type: `AsProvidedKind`

  The kind of the provided item (e.g. `AS_PROVIDED_KIND_MEDIATYPE`).

`item`

  Type: `const gchar*`

  The item to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.